export declare class ImageData {
    _native: any;
    constructor(width: number, height: number);
    constructor(width: number, height: number);
    constructor(width: number, height: number, settings: any);
    constructor(dataArray: Uint8ClampedArray, width: number);
    constructor(dataArray: Uint8ClampedArray, width: number, height: number);
    constructor(dataArray: Uint8ClampedArray, width: number, height: number, settings: any);
    get native(): any;
    get data(): any;
    get height(): any;
    get width(): any;
    static fromNative(nativeInstance: any): ImageData;
    static from(instance: ImageData): ImageData;
}
